CVE-2017-12143

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2017-12143
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2017-12143.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2017-12143
Published
2017-08-02T05:29:00Z
Modified
2024-06-30T12:52:13.943032Z
Severity
  • 6.5 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

In libquicktime 1.2.4, an allocation failure was found in the function quicktimereadinfo in lqt_quicktime.c, which allows attackers to cause a denial of service via a crafted file.

References

Affected packages

Debian:11 / libquicktime

Package

Name
libquicktime
Purl
pkg:deb/debian/libquicktime?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2:1.*

2:1.2.4-12
2:1.2.4-13
2:1.2.4-14
2:1.2.4-15
2:1.2.4-16

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / libquicktime

Package

Name
libquicktime
Purl
pkg:deb/debian/libquicktime?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2:1.*

2:1.2.4-14
2:1.2.4-15
2:1.2.4-16

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / libquicktime

Package

Name
libquicktime
Purl
pkg:deb/debian/libquicktime?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2:1.*

2:1.2.4-14
2:1.2.4-15
2:1.2.4-16

Ecosystem specific

{
    "urgency": "unimportant"
}